# ![Piano icon](https://raw.github.com/makeopen/piano/master/images/logos/logo32.png) Piano

Piano is a desktop app that uses built-in MIDI support in order to
offer an usable interface for playing any of the 127 instruments defined
by General MIDI.

[Download latest release](https://github.com/makeopen/piano/releases)

## Building

Using Grunt:

```sh
$ npm install
$ grunt build:win   # use build:linux or build:mac for other systems
```

Then run the app in `build/win` folder.

## Screenshots

![Main window](https://raw.github.com/makeopen/piano/master/images/screenshots/main.png)

*Main window*

![With a music loaded](https://raw.github.com/makeopen/piano/master/images/screenshots/music.png)

*With a music loaded*

![Instruments window](https://raw.github.com/makeopen/piano/master/images/screenshots/instruments.png)

*Instruments window*

## Known issues

### Pre-release

This app is currently in pre-release state, which means it isn't stable
and that all work you have done might be lost at any time.

If you find any bug or have any improvement idea, please fill an issue.

### Languages

Currently, the app is only available in French. New languages will be
added soon.

### MIDI support

The app won't produce any sound on systems that doesn't have at least one
bundled MIDI output. Maybe should we ship with a default synthetiser.

### Linux/Mac

The app has not yet been tested on Linux and Mac. If you encounter any
problem, please fill an issue.

## Commit convention

:book:      Documentation updates  
:bug:       Bug fixes  
:ledger:    Rename/move files  
:bulb:      Features  
:lipstick:  Fix coding style

## Credits

Icons made by:

- Freepik (http://freepik.com) from http://flaticon.com (CC BY 3.0);
- Icons8 (http://icons8.com) from http://flaticon.com (CC BY 3.0);
- Icomoon (http://icomoon.io) from http://flaticon.com (CC BY 3.0).